VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec Class Reference
Inheritance diagram for Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec:

## Avaliable Methods
public method | set_enter_setup_mode ()
public method | get_delay ()
public method | set_retry ()
public method | set_type ()
public method | get_retry ()
public method | set_efi_legacy_boot ()
public method | set_retry_delay ()
public method | set_network_protocol ()
public method | get_network_protocol ()
public method | new ()
public method | get_type ()
public method | set_delay ()
public method | get_enter_setup_mode ()
public method | get_retry_delay ()
public method | get_efi_legacy_boot ()

## Detailed Description

The `Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec` class describes the updates to the settings used when booting a virtual machine.

## Member Function Documentation

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::get_delay | ( |  | ) |

Gets the value of 'delay' property.

Return values

  delay | - The current value of the field. Delay in milliseconds before beginning the firmware boot process when the virtual machine is powered on. This delay may be used to provide a time window for users to connect to the virtual machine console and enter BIOS setup mode. Optional#

Code:
click to view
# Number of lines of code in get_delay: 4
sub get_delay {
my ($self, %args) = @_;
return $self->{'delay'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::get_efi_legacy_boot | ( |  | ) |

Gets the value of 'efi_legacy_boot' property.

Return values

  efi_legacy_boot | - The current value of the field. Flag indicating whether to use EFI legacy boot mode. Optional#

Code:
click to view
# Number of lines of code in get_efi_legacy_boot: 4
sub get_efi_legacy_boot {
my ($self, %args) = @_;
return $self->{'efi_legacy_boot'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::get_enter_setup_mode | ( |  | ) |

Gets the value of 'enter_setup_mode' property.

Return values

  enter_setup_mode | - The current value of the field. Flag indicating whether the firmware boot process should automatically enter setup mode the next time the virtual machine boots. Note that this flag will automatically be reset to false once the virtual machine enters setup mode. Optional#

Code:
click to view
# Number of lines of code in get_enter_setup_mode: 4
sub get_enter_setup_mode {
my ($self, %args) = @_;
return $self->{'enter_setup_mode'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::get_network_protocol | ( |  | ) |

Gets the value of 'network_protocol' property.

Return values

  network_protocol | - The current value of the field. Protocol to use when attempting to boot the virtual machine over the network. Optional#

Code:
click to view
# Number of lines of code in get_network_protocol: 4
sub get_network_protocol {
my ($self, %args) = @_;
return $self->{'network_protocol'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::get_retry | ( |  | ) |

Gets the value of 'retry' property.

Return values

  retry | - The current value of the field. Flag indicating whether the virtual machine should automatically retry the boot process after a failure. Optional#

Code:
click to view
# Number of lines of code in get_retry: 4
sub get_retry {
my ($self, %args) = @_;
return $self->{'retry'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::get_retry_delay | ( |  | ) |

Gets the value of 'retry_delay' property.

Return values

  retry_delay | - The current value of the field. Delay in milliseconds before retrying the boot process after a failure; applicable only when :attr:`Com::Vmware::Vcenter::Vm::Hardware::Boot::Info.retry` is true. Optional#

Code:
click to view
# Number of lines of code in get_retry_delay: 4
sub get_retry_delay {
my ($self, %args) = @_;
return $self->{'retry_delay'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::get_type | ( |  | ) |

Gets the value of 'type' property.

Return values

  type | - The current value of the field. Firmware type to be used by the virtual machine. Optional#

Code:
click to view
# Number of lines of code in get_type: 4
sub get_type {
my ($self, %args) = @_;
return $self->{'type'};
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 36
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
$validatorList = [
new Com::Vmware::Vapi::Data::UnionValidator(
'discriminant_name' => 'type',
'case_map' => {
'EFI' => ['efi_legacy_boot', 'network_protocol'],
'BIOS' => [],
}),
];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{type} = $args{'type'};
$self->{efi_legacy_boot} = $args{'efi_legacy_boot'};
$self->{network_protocol} = $args{'network_protocol'};
$self->{delay} = $args{'delay'};
$self->{retry} = $args{'retry'};
$self->{retry_delay} = $args{'retry_delay'};
$self->{enter_setup_mode} = $args{'enter_setup_mode'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec');
$self->set_binding_name('name' => 'com.vmware.vcenter.vm.hardware.boot.update_spec');
$self->set_binding_field('key' => 'type', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Boot::Type')));
$self->set_binding_field('key' => 'efi_legacy_boot', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'network_protocol', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vcenter::Vm::Hardware', 'type_name' => 'Boot::NetworkProtocol')));
$self->set_binding_field('key' => 'delay', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'retry', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
$self->set_binding_field('key' => 'retry_delay', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::LongType()));
$self->set_binding_field('key' => 'enter_setup_mode', 'value' => new Com::Vmware::Vapi::Bindings::Type::OptionalType('element_type' => new Com::Vmware::Vapi::Bindings::Type::BooleanType()));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::set_delay | ( |  | ) |

Sets the given value for 'delay' property.

Parameters

  delay | - New value for the field. Delay in milliseconds before beginning the firmware boot process when the virtual machine is powered on. This delay may be used to provide a time window for users to connect to the virtual machine console and enter BIOS setup mode.

Code:
click to view
# Number of lines of code in set_delay: 5
sub set_delay {
my ($self, %args) = @_;
$self->{'delay'} = $args{'delay'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::set_efi_legacy_boot | ( |  | ) |

Sets the given value for 'efi_legacy_boot' property.

Parameters

  efi_legacy_boot | - New value for the field. Flag indicating whether to use EFI legacy boot mode.

Code:
click to view
# Number of lines of code in set_efi_legacy_boot: 5
sub set_efi_legacy_boot {
my ($self, %args) = @_;
$self->{'efi_legacy_boot'} = $args{'efi_legacy_boot'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::set_enter_setup_mode | ( |  | ) |

Sets the given value for 'enter_setup_mode' property.

Parameters

  enter_setup_mode | - New value for the field. Flag indicating whether the firmware boot process should automatically enter setup mode the next time the virtual machine boots. Note that this flag will automatically be reset to false once the virtual machine enters setup mode.

Code:
click to view
# Number of lines of code in set_enter_setup_mode: 5
sub set_enter_setup_mode {
my ($self, %args) = @_;
$self->{'enter_setup_mode'} = $args{'enter_setup_mode'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::set_network_protocol | ( |  | ) |

Sets the given value for 'network_protocol' property.

Parameters

  network_protocol | - New value for the field. Protocol to use when attempting to boot the virtual machine over the network.

Code:
click to view
# Number of lines of code in set_network_protocol: 5
sub set_network_protocol {
my ($self, %args) = @_;
$self->{'network_protocol'} = $args{'network_protocol'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::set_retry | ( |  | ) |

Sets the given value for 'retry' property.

Parameters

  retry | - New value for the field. Flag indicating whether the virtual machine should automatically retry the boot process after a failure.

Code:
click to view
# Number of lines of code in set_retry: 5
sub set_retry {
my ($self, %args) = @_;
$self->{'retry'} = $args{'retry'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::set_retry_delay | ( |  | ) |

Sets the given value for 'retry_delay' property.

Parameters

  retry_delay | - New value for the field. Delay in milliseconds before retrying the boot process after a failure; applicable only when :attr:`Com::Vmware::Vcenter::Vm::Hardware::Boot::Info.retry` is true.

Code:
click to view
# Number of lines of code in set_retry_delay: 5
sub set_retry_delay {
my ($self, %args) = @_;
$self->{'retry_delay'} = $args{'retry_delay'};
return;
}

public method Com::Vmware::Vcenter::Vm::Hardware::Boot::UpdateSpec::set_type | ( |  | ) |

Sets the given value for 'type' property.

Parameters

  type | - New value for the field. Firmware type to be used by the virtual machine.

Code:
click to view
# Number of lines of code in set_type: 5
sub set_type {
my ($self, %args) = @_;
$self->{'type'} = $args{'type'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vcenter/Vm/Hardware/Boot.pm